Skip to main content
Resource Center/Hardware/SAN Storage Operations/FC Storage Operations
GETFC Storage OperationsSince 3.1.0SynchronousAuth Required

QueryFiberChannelStorage

QueryFiberChannelStorage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • wwnnStringRequired

      The FC SAN storage WWNN.

    • stateStringRequired

      The state.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • fiberChannelLunsListRequired

      See fiberChannelLuns.

      • uuidStringRequired

        The resource UUID.

      • fiberChannelStorageUuidStringRequired

        The FC SAN storage UUID.

      • wwidStringRequired

        The disk WWID.

      • vendorStringRequired

        The disk vendor.

      • modelStringRequired

        The disk model.

      • wwnStringRequired

        The disk WWN.

      • serialStringRequired

        The disk serial No.

      • typeStringRequired

        The disk type.

      • pathStringRequired

        The disk path.

      • sizeLongRequired

        The disk size.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • nameStringRequired

        The resource name.

      • stateStringRequired

        The disk state.

      • scsiLunHostRefsListRequired

        See scsiLunHostRefs.

        • scsiLunUuidStringRequired

          The SCSI LUN UUID.

        • hostUuidStringRequired

          The host UUID.

        • createDateTimestampRequired

          The creation date.

        • lastOpDateTimestampRequired

          The last operation date.

      • scsiLunVmInstanceRefsListRequired

        See scsiLunVmInstanceRefs.

        • scsiLunUuidStringRequired

          The SCSI LUN UUID.

        • vmInstanceUuidStringRequired

          The VM instance UUID.

        • createDateTimestampRequired

          The creation date.

        • lastOpDateTimestampRequired

          The last operation date.

Endpoint

GET/zstack/v1/storage-devices/fiber-channel/controllers

/zstack/v1/storage-devices/fiber-channel/controllers

Operation ID

QueryFiberChannelStorage

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/storage-devices/fiber-channel/controllers' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "afedd6ab89d338fbaab258f981ca2295", "state": "Enabled", "fiberChannelLuns": [ { "fiberChannelStorageUuid": "afedd6ab89d338fbaab258f981ca2295", "name": "fc-lun-36b083fe000daf018000022905ba35d8f", "uuid": "2e69f8443fbc3ec3a25a92ab8632f80f", "wwid": "36b083fe000daf018000022905ba35d8f", "vendor": "DELL", "model": "MD32xx", "wwn": "0x6f01faf000d5c3e7", "serial": "6b083fe000daf018000015505abbe00a", "type": "mpath", "path": "pci-0000:05:00.0-fc-0x2012b083fedaf018-lun-11", "size": 5.49755813888E12, "scsiLunHostRefs": [ { "id": 3.0, "scsiLunUuid": "5a89fbd0d7793673acfa2e69acc56ce4", "hostUuid": "bc3f69d449aa3410bd7267a1050de980", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "scsiLunVmInstanceRefs": [] }, { "fiberChannelStorageUuid": "afedd6ab89d338fbaab258f981ca2295", "name": "fc-lun-36f01faf000d5c3e7000023ef5ba362f2", "uuid": "52039a86c9173ff7a86ce214fc3d47cf", "wwid": "36f01faf000d5c3e7000023ef5ba362f2", "vendor": "DELL", "model": "MD32xx", "wwn": "0x6b083fe000daf018", "serial": "6b083fe000daf018000015505abbe00a", "type": "mpath", "path": "pci-0000:05:00.0-fc-0x2012b083fedaf018-lun-12", "size": 5.49755813888E12, "scsiLunHostRefs": [ { "id": 3.0, "scsiLunUuid": "5a89fbd0d7793673acfa2e69acc56ce4", "hostUuid": "bc3f69d449aa3410bd7267a1050de980", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "scsiLunVmInstanceRefs": [] } ], "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" }, { "uuid": "4e902db710403f68a7703e45d00e551d", "state": "Enabled", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history